#
# Copyright (c) 2004, 2005, 2006, 2007 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%define srcvers	2.0.1
%define rpmvers 2.0.1

%define coin_includedir %{expand:%%(coin-config --includedir)}
%define coin_htmldir %{expand:%%(coin-config --datadir)/Coin2}

Summary: Volume rendering library for Coin
Name: SIMVoleon
Version: %{rpmvers}
Release: 6%{?dist}

License: GPL
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/SIMVoleon-%{srcvers}.tar.gz

# Backport from 2.0.0:
#  The 2.0.1 tarball lacks files.
Patch0: SIMVoleon-2.0.1-doxyfixes.diff
Patch1: SIMVoleon-2.0.1-simacros.diff.bz2
Patch2: SIMVoleon-2.0.1-libtool.diff.bz2
Patch3: SIMVoleon-2.0.1-gcc4.1.diff

BuildRequires: Coin2-devel
BuildRequires: doxygen
BuildRoot: %{_tmppath}/%{name}-%{rpmvers}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
A volume rendering library for Coin.

%package devel
Summary: Development files for SIMVoleon
Requires: %{name} = %{version}-%{release}
Requires: Coin2-devel >= 2.3.0
Obsoletes: SimVoleon-devel
Provides:  SimVoleon-devel = %{version}-%{release}
Group: Development/Libraries

%description devel
Development files for SIMVoleon.

%prep
%setup -q -n SIMVoleon-%{srcvers}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

chmod +x cfg/doxy4win.pl

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	htmldir=%{coin_htmldir}/SIMVoleon
make %{?_smp_mflags}

# Strip the default libdir
sed -i -e "s,\-L%{_libdir}\",\"," simvoleon-default.cfg

# simvoleon-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin2/conf/,g" bin/simvoleon-config

%install
   rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

install -d -m 755 ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/Coin2
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin/conf ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/Coin2

%clean
   rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/libSimVoleon*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{coin_includedir}/*
%{_libdir}/libSimVoleon*.so
%{_datadir}/aclocal/simvoleon.m4
%{_libdir}/Coin2
%doc %{coin_htmldir}/*

%changelog
* Tue Feb 20 2007 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-6
- Install simvoleon-default.cfg into %%{_prefix}/%%{_lib}

* Mon Feb 19 2007 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-5
- Filter errant -L%%_libdir from soqt-config.cfg.
- Remove *.la.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-4
- Mass rebuild.

* Tue Feb 28  2006 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-3
- Rebuild.

* Mon Jan 16  2006 Ralf Corsépius <rc040203@freenet.de> - 2.0.1-2
- Rebuild.
- Add gcc4.1 patch.
- Spec cleanup.

* Sat May 21  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-1
- FE submission candidate.

* Mon Oct 11  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.0.0-0.fdr.1
- Upstream update.

* Tue Jul 27  2004 Ralf Corsepius <ralf@links2linux.de> - 0:1.0.0-0.fdr.1
- Initial Fedora RPM.
